package ch.epfl.ppo;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.ArrayList;
import java.util.List;

public final class BiMain {
    public static void main(String[] args) throws IOException {
        try(BufferedReader dataReaderIN = readerFor("/data_IN.txt");
                BufferedReader dataReaderSC = readerFor("/data_SC.txt")) {
            List<Cell> cellsIN = listOfCells(Integer.parseInt(dataReaderIN.readLine()));

            List<Cell> cellsSC = listOfCells(Integer.parseInt(dataReaderSC.readLine()));

            new BiStemPlot(cellsSC, cellsIN);
            loadCells(cellsIN, dataReaderIN);
            loadCells(cellsSC, dataReaderSC);
        }
    }

    private static void loadCells(List<Cell> cells, BufferedReader reader) throws IOException {
        for (int i = 0; i < cells.size(); ++i)
            cells.get(i).setValue(Integer.parseInt(reader.readLine()));
    }

    private static List<Cell> listOfCells(int count) {
        List<Cell> cells = new ArrayList<>(count);
        for (int i = 0; i < count; ++i)
            cells.add(new Cell());
        return cells;
    }

    private static BufferedReader readerFor(String fileName) {
        return new BufferedReader(
                new InputStreamReader(
                        BiMain.class.getResourceAsStream(fileName)));
    }
}
